Get Workflows

Gets a list of Workflow objects in a given date range.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Common next steps after a GET /Evaluations/ call:

  • Use EvaluationNumber to cross-reference with GET /Evaluations/ or GET /Evaluations/Modules/.
  • Use InteractionId with GET /Conversations/Transcriptions/{conversationId}/ to retrieve the conversation transcript.
  • Page through results by passing the last WorkflowId from the current response as LastId on the next call.
Query Params
string

Start of the date range.
ISO-8601 Examples:
UTC datetime: 2022-03-18T21:52:26
UTC datetime with milliseconds: 2022-03-18T21:52:26.8816090Z
UTC date only: 2022-03-19
datetime with timezone: 2022-03-18T17:56:09.8683110-04:00

string

Must be equal to or later than StartDate.
ISO-8601 Examples:
UTC datetime: 2022-03-18T21:52:26
UTC datetime with milliseconds: 2022-03-18T21:52:26.8816090Z
UTC date only: 2022-03-19
datetime with timezone: 2022-03-18T17:56:09.8683110-04:00

string

Which date to filter on. Valid values:

CreatedOnDate,
InteractionDate

int32
Defaults to 100

Results per page. Default 100, max 100.

uuid

GUID of the last workflow from the previous page. Used for cursor-based pagination.

Response

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json